HBC 1.0.8 crashes after IOS58 install

Discussion in 'Wii - Hacking' started by drmarvin, Aug 18, 2010.

Aug 18, 2010
  1. drmarvin
    OP

    Member drmarvin GBAtemp Fan

    Joined:
    Jan 2, 2009
    Messages:
    309
    Location:
    Canada
    Country:
    Canada
    Hi all

    I installed HBC 1.0.8 before I had IOS58 installed, and it worked fine running on IOS61. Now, I installed IOS58 (downloaded from NUSD) using WAD Manager MultiMod and using rev20 running on IOS38 (I think). Successful install, listed when Syscheck done. Now, when I run HBC, it reboots the console. When I try to run HBC from Priiloader, it tells me it's not installed (although thinking now, it's probably due to the HBC ID being different, maybe I have to update Priiloader). When I tried reinstalling HBC using and installed ELF with priiloader, it ran and installed fine, and launched properly post-install. It even says it's running on IOS58, as expected. Thinking I was successful, I rebooted and tried launching HBC from the SM 4.2U, and it crashes and reboots again.

    Any ideas to get HBC running properly again?

    Thanks
     


  2. FIX94

    Global Moderator FIX94 Global Moderator

    Joined:
    Dec 3, 2009
    Messages:
    6,571
    Location:
    ???
    Country:
    Germany
    In hackmii installer, uninstall HBC, restart wii to system menu, start hackmii installer again and install HBC.
     
  3. drmarvin
    OP

    Member drmarvin GBAtemp Fan

    Joined:
    Jan 2, 2009
    Messages:
    309
    Location:
    Canada
    Country:
    Canada
    I tried running the installer from priiloader, uninstalling HBC, rebooting to system menu, rebooting to priiloader, reinstalling HBC. It runs fine right after the install as before, but reboots the Wii as soon as I try to launch HBC from the system menu.

    Should I uninstalling IOS58? Should I reinstall it? Any ideas?

    Thanks
     
  4. nl255

    Member nl255 GBAtemp Advanced Maniac

    Joined:
    Apr 9, 2004
    Messages:
    1,998
    Country:
    Install a clean IOS58. Patched versions of IOS58 (such as DarkCorp) are known to cause problems with HBC and the WiiMC channel.
     
  5. drmarvin
    OP

    Member drmarvin GBAtemp Fan

    Joined:
    Jan 2, 2009
    Messages:
    309
    Location:
    Canada
    Country:
    Canada
    I didn't install a patched version. Just a wad downloaded and packed straight from NUSD. I'm really at a loss here. Any ideas are welcome. Thanks.

     
  6. XFlak

    Member XFlak Wiitired but still kicking

    Joined:
    Sep 12, 2009
    Messages:
    9,122
    Location:
    Ontario
    Country:
    Canada
    does it happen consistently?? try reinstalling IOS58 and the HBC, I think it was either a fluke failure or a fluke bad install
     
  7. s3phir0th115

    Member s3phir0th115 GBAtemp Advanced Fan

    Joined:
    Dec 31, 2008
    Messages:
    700
    Country:
    United States
    What patched IOS's do you have, if any?
     
  8. XFlak

    Member XFlak Wiitired but still kicking

    Joined:
    Sep 12, 2009
    Messages:
    9,122
    Location:
    Ontario
    Country:
    Canada
    doesn't matter, if a clean IOS58 is installed, that is all that should be required to run the hackmii installer AND the HBC successfully
     
  9. s3phir0th115

    Member s3phir0th115 GBAtemp Advanced Fan

    Joined:
    Dec 31, 2008
    Messages:
    700
    Country:
    United States
    Possibly, but I do know that the last time I used the installer, it wanted to use and used IOS61.

    So there could be several IOS's being patched that may cause issues.
     
  10. XFlak

    Member XFlak Wiitired but still kicking

    Joined:
    Sep 12, 2009
    Messages:
    9,122
    Location:
    Ontario
    Country:
    Canada
    if it is installed and not-fakesigned IOS58 will be the first choice of the HBC to use as the installer, AND as the IOS to install the HBC with. So it doesn't matter if his IOS61 is patched/garbage (well, it does, but it is NOT required to install any IOS to slot 61 to solve this particular problem)

    in the end, if u install a nonfakesigned IOS58, it will be used by the HBC, and the install should go smoothly. That is all that is required to fix a messed up homebrew channel installation (mind u I am talking about the hackmii installer v0.8, which is what everyone should be using!)
     
  11. TheShadowRunner

    Member TheShadowRunner I'm like you, I have no name.

    Joined:
    Mar 14, 2009
    Messages:
    658
    Country:
    United States
    Hmm, I installed IOS58 (with "IOS58 Installer", on SM4.2) _after_ installing HBC 1.0.8, but now when I launch HBC, it still uses IOS61..

    I wonder if it's normal or if i should reinstall HBC now that IOS58 is installed so it can detect and use it?
     
  12. drmarvin
    OP

    Member drmarvin GBAtemp Fan

    Joined:
    Jan 2, 2009
    Messages:
    309
    Location:
    Canada
    Country:
    Canada
    I'm still fighting with this. I have uninstalled and reinstalled HBC multiple times, I have uninstalled and reinstalled IOS58 (unpatched), using MultiMod Manager and Tantric's installer. When I run the HackMii installer, it says that it will use IOS58 when it's there, and IOS61 when IOS58 is not installed. Everything runs fine, and HBC runs fine right after install, but running anything Homebrew, even with installed forwarder channels, crashes and reboots the Wii, flashing the slot LED once, very quickly when it crashes.

    The only patched IOS's I have are rev20b in slot 249 and 250, I think.
     
  13. RCO2000

    Newcomer RCO2000 Newbie

    Joined:
    Jun 8, 2010
    Messages:
    4
    Country:
    Ireland
    TheShadowRunner Posted Today, 08:51 AM
    Hmm, I installed IOS58 (with "IOS58 Installer", on SM4.2) _after_ installing HBC 1.0.8, but now when I launch HBC, it still uses IOS61..

    I wonder if it's normal or if i should reinstall HBC now that IOS58 is installed so it can detect and use it?



    I have exactly the same thing....installed ios58 via ios58 installer, then installed HBC 1.0.8 & when I reboot HBC & press Home it reads ios61? Can anyone please explain?
     
  14. marcan_troll

    Member marcan_troll GBAtemp Regular

    Joined:
    Sep 30, 2009
    Messages:
    129
    Country:
    United States
    HBC only switches IOS when you reinstall it.
     
  15. drmarvin
    OP

    Member drmarvin GBAtemp Fan

    Joined:
    Jan 2, 2009
    Messages:
    309
    Location:
    Canada
    Country:
    Canada
    I am able to get it to run on IOS58 when installed but only when it successfully runs after reinstalling through priiloader. Even when uninstalled and running on IOS61, it still crashes from the SM. I even tried uninstalling 1.0.8 and reinstalling 1.0.7, but that's crashing also. I thought that it might be related to having a USB stick in the port (due to the USB2 initialization) but that didn't help.

    It's driving me crazy. Hope someone has figured this out (if it's happened to anyone else).

    Thanks
     
  16. Jacobeian

    Member Jacobeian GBAtemp Advanced Maniac

    Joined:
    May 15, 2008
    Messages:
    1,879
    Country:
    Cuba
    sorry but what exactly is crashing ? Seems like a problem with the application you are loading
    Also, I'm not sure why you think "installed forwarder channels" have anything to do with that issue.

    now, that's even less clear, what do you mean by "reinstalling through priiloader." ? And what is crashing from SM now ? the Home brew Channel ?
     
  17. drmarvin
    OP

    Member drmarvin GBAtemp Fan

    Joined:
    Jan 2, 2009
    Messages:
    309
    Location:
    Canada
    Country:
    Canada
    Ok. So I finally figured out my problem. Apparently I installed the wrong version of IOS58. Who knows what Nintendo did, but it seems that the one available on NUSD is no good. You need the one that was on the Shape disc.

    Therefore IOS58 v5918 = good
    IOS58 v6175 = BAD

    What a stupid thing. Oh well. Glad I finally got it!!!
     
  18. FIX94

    Global Moderator FIX94 Global Moderator

    Joined:
    Dec 3, 2009
    Messages:
    6,571
    Location:
    ???
    Country:
    Germany
    [​IMG] here works IOS58 v6175 fine! That's strange, but good that the old version works for you.
     
  19. Zetta_x

    Member Zetta_x The Insane Statistician

    Joined:
    Mar 4, 2010
    Messages:
    1,844
    Country:
    United States
    Strange how the newer version of IOS 58 doesn't work for you. Seems like it should work.
     
  20. dronesplitter

    Member dronesplitter GBAtemp Advanced Fan

    Joined:
    Sep 30, 2007
    Messages:
    537
    Country:
    United States
    IOS58 v6175 worked fine with my 1.0.8 install. Not sure why yours didn't but good to see that you got it working with v5918.
     

Share This Page